Skip to content
Sign In

getUser

GET
/v5/user

Retrieve the current user

Authorizations

Responses

200

A User response

object
avatarUrl

The user public avatar url

string
bankConnections

True if user already had any bank connection

boolean
billingAdminEmail

The billing admin email for this user’s billing account

string
billingEnabled

True if billing is enabled for the user

boolean
daysLeftInTrial

How many days left in trial

integer format: int32
domain
object
id

The unique id of the domain

string
name

The domain name

string
email

The user email

string
free

True if user is in the free plan

boolean
fullName

The user full name

string
givenName

The user given name

string
hash

The user hash

string
hostedDomain

The user hosted domain

string
id

The user unique id

string
name

The user display name

string
plan

The user plan

string
planCycle

The user plan billing cycle

string
Allowed values: MONTHLY YEARLY
planOverdue

True if subscription payment is overdue

boolean
startedTrial

True if user started trial

boolean
totalTransactionsThisMonth

User-level total transactions this month

integer format: int64
totalTransactionsThisYear

User-level total transactions this year

integer format: int64
username

The Bkper username of the user

string

Examples

{
"avatarUrl": "string",
"bankConnections": true,
"billingAdminEmail": "string",
"billingEnabled": true,
"daysLeftInTrial": 1,
"domain": {
"id": "string",
"name": "string"
},
"email": "string",
"free": true,
"fullName": "string",
"givenName": "string",
"hash": "string",
"hostedDomain": "string",
"id": "string",
"name": "string",
"plan": "string",
"planCycle": "MONTHLY",
"planOverdue": true,
"startedTrial": true,
"totalTransactionsThisMonth": 1,
"totalTransactionsThisYear": 1,
"username": "string"
}

default

An error response from the Bkper API or its public API proxy.

A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.

object
error
object
errors
Array<object>
object
domain
string
reason
string
message
string
code
required
integer format: int32
message
required
string
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string